Subject: Re: [bug#40691] [PATCH v4 0/3] gnu: Add gromacs, tng & lmfit.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 03 May 2020 12:39:32 +0200

Hi Vincent,

Vincent Legoll <[email-masked]> skribis:

> here is my latest work on adding gromacs to guix.
>
> - rebased on latest guix master
> - gromacs had a new version
> - unbundling 3rdparties
> - packaged some 3rdparties to have our own
>
> I unbundled googletest by extracting our tarball in
> place of the bundled copy.
>
> Zlib got unbundled via packaging tng and unbundling
> it from there.
>
> Unbundled lmfit by packaging it separately and using that.
> I put it with gromacs, but its legitimate place may be
> elsewhere, like in maths.scm.
>
> Unbundled tinyxml2 to use our version, which is newer and
> broke code compatibility, so I added a patch to fix the
> fallout. I am trying to get those fixes upstream, but that
> may not be always practical, they may want to keep their
> well tested version. I'll follow up updating the patch in
> case parts of it get applied / released upstream.

Woow, quite an achievement!  Thanks for taking the time to go down this
rabbit hole, I think it’s worth it.

> The remaining bundled 3rdparties are vmd_molfile & thread_mpi.
>
> Vmd_molfile source is behind a registration-only web form, I'm
> not going there.

Sounds reasonable: the headers say it’s part of Gromacs, and it’s
definitely free software, so it’s OK to keep it here.

> Thread_mpi looks like it is made to be bundled like that, and
> is part of the parallelizing of gromacs which is above my
> level of understanding (I'm only trying to package it, I'm not
> a user). More info here:
> http://www.gromacs.org/Documentation/Acceleration_and_parallelization#Multithreading_with_thread-MPI

Sounds good.  Perhaps a comment in the code to state that would be
welcome, for our future selves.

> Latest license change for tng say "revised bsd", I don't know
> which one to choose, I put bsd-3.
>
> https://github.com/gromacs/tng/commit/65443992d81a8845ba3597620d84e8652e83a254
>
> Lmfit is freebsd license, I choose bsd-2.
>
> https://jugit.fz-juelich.de/mlz/lmfit/-/blob/master/COPYING
>
> Gromacs itself is lgpl2.1+ and its copying file has bundled
> 3parties license explanations.
>
> https://github.com/gromacs/gromacs/blob/master/COPYING
>
> Please advise how to proceed further, this is already quite an
> adventure for me.

I’ll look at the individual patches but it looks like we’re close to the
end line!

Ludo’.